Problem (Gradle API 8.12.1)
Description: declaration: package: org.gradle.tooling.events.problems, interface: Problem

Package org.gradle.tooling.events.problems

# Interface Problem

@Incubating public interface Problem
A problem report

Since:
  8.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdditionalData`
  `getAdditionalData()`
  Returns the additional data associated with this problem.
  `ContextualLabel`
  `getContextualLabel()`
  Returns the contextual label.
  `ProblemDefinition`
  `getDefinition()`
  Returns the problem definition.
  `Details`
  `getDetails()`
  Returns the details string.
  `Failure`
  `getFailure()`
  Returns the failure associated with this problem.
  `List<Location>`
  `getLocations()`
  Returns the locations associated with this problem.
  `List<Solution>`
  `getSolutions()`
  Returns the list of solutions.

- ## Method Details

  - ### getDefinition

    ProblemDefinition getDefinition()
    Returns the problem definition.
    Returns:
      the definition
    Since:
      8.12

  - ### getContextualLabel

    ContextualLabel getContextualLabel()
    Returns the contextual label.
    Returns:
      the problem label
    Since:
      8.12

  - ### getDetails

    Details getDetails()
    Returns the details string.
    Returns:
      the problem details
    Since:
      8.12

  - ### getLocations

    List<Location> getLocations()
    Returns the locations associated with this problem.
    Returns:
      the locations
    Since:
      8.12

  - ### getSolutions

    List<Solution> getSolutions()
    Returns the list of solutions.
    Returns:
      the solutions
    Since:
      8.12

  - ### getFailure

    @Nullable Failure getFailure()
    Returns the failure associated with this problem.
    Returns:
      the failure
    Since:
      8.12

  - ### getAdditionalData

    AdditionalData getAdditionalData()
    Returns the additional data associated with this problem.
    Returns:
      the additional data
    Since:
      8.12